Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 78563 - images/boot.img cant boot, cramfs magic error
Summary: images/boot.img cant boot, cramfs magic error
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda
Version: 7.3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael Fulbright
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-25 21:10 UTC by William Edward Ernest Coleman
Modified: 2007-04-18 16:48 UTC (History)
1 user (show)

Fixed In Version: 8.0
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-09-19 14:01:42 UTC


Attachments (Terms of Use)

Description William Edward Ernest Coleman 2002-11-25 21:10:02 UTC
Description of Problem:
I downloaded first the red hat version 7.3 iso image 1 and used loop device 
mounting to retrieve and dd the boot.img from the images directory on the iso 
and them from the os directory on the web site and when I booted in any option 
with the boot disk the kernel told me that the root device could not be 
mounted. earlier there was an error about an incorrect cramfs magic number.

Version-Release number of selected component (if applicable):


How Reproducible:
I managed it every time I booted the floppy image.

Steps to Reproduce:
1. make the floppy disk from boot.img as in (images/boot.img)
2. reboot to boot rom the disk

Actual Results:
hang, caps and scroll lights flashing, complaining that the kernel cant mount 
the root device

Expected Results:
start installation proceedure

Additional Information:

Comment 1 Jeremy Katz 2003-01-02 21:12:39 UTC
Have you tried using a different floppy disk?  This sounds like a bad disk to me.

Comment 2 William Edward Ernest Coleman 2003-01-24 12:20:51 UTC
Which ever media I test it comes to the same point. I don't find this problem 
in Pscyhe 8.0. You should consider all possibilities and not attempt to ignore 
it as a incompitance. If it was a media error then your own test would indecate 
to the contary. it's not sufficent to request I check the disk as I always 
check the disk agsinst the original image. If the image I take from the disk is 
identical to the original image then the there is not media fault.


Comment 3 Michael Fulbright 2003-01-30 20:40:16 UTC
We do not currently have a test to see if the boot floppy/image is not corrupt.
 That is why we are suggesting that the floppy media you used may have errors
causing problems later.  I know I average about a bad floppy a week in the work
I do.

Comment 4 William Edward Ernest Coleman 2003-02-03 13:42:13 UTC
I have done the test i indecated before and there is no difference to the image 
taken from the floppy as it on the original image so the image on disk it not 
corrupt

Comment 5 William Edward Ernest Coleman 2003-02-03 13:49:39 UTC
BTW: if you dd the image to the floppy then boot from the floppy find the fault 
and dd from the floppy back to a new image file then you can verify the two 
images are binarily identical. If there are the same you cannot determine the 
media is corrupt.
i.e
dd if=image of=/dev/fd0
dd if=/dev/fd0 of=image.new
diff --binary image image.new

Comment 6 Michael Fulbright 2003-02-03 19:16:08 UTC
Please try the 8.0 version of the product - it has numerous fixes. I have not
seen a failure mode as you are experiencing before that was not due to bad
media.  Perhaps trying 8.0 will address the issue (the kernel is newer, among
other things).

Comment 7 William Edward Ernest Coleman 2003-02-04 17:04:26 UTC
How do I indecate it works in rh 8.0?


Comment 8 Michael Fulbright 2003-02-04 20:14:00 UTC
If 8.0 worked we can close this issue as 'CURRENTRELEASE'.


Comment 9 Michael Fulbright 2003-02-27 17:08:19 UTC
Closing due to inactivity - please reopen if you have additional information to
add to this report.

Comment 10 William Edward Ernest Coleman 2003-09-19 14:00:47 UTC
just to confirm the next release which is shown earlier


Note You need to log in before you can comment on or make changes to this bug.